# Clarity Upscaler > The famous creative upscaler (30M+ runs). Re-imagines details while upscaling — controllable creativity/resemblance, prompt guidance, and up to high scale factors. - **Provider**: replicate - **Model ID**: philz1337x/clarity-upscaler - **Category**: image_upscale_restore - **Credits**: 60 per request - **Pricing Type**: fixed ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `image` (string, **required**): input image - `downscaling` (boolean, optional): Downscale the image before upscaling. Can improve quality and speed for images with high resolution but lower quality (Default: `False`) - `sharpen` (number, optional): Sharpen the image after upscaling. The higher the value, the more sharpening is applied. 0 for no sharpening (Default: `0`; Range: min: 0, max: 10) - `tiling_height` (integer, optional): Fractality, set lower tile height for a high Fractality (Default: `144`; Options: `16`, `32`, `48`, `64`, `80`, `96`, `112`, `128`, `144`, `160`, `176`, `192`, `208`, `224`, `240`, `256`) - `seed` (integer, optional): Random seed. Leave blank to randomize the seed (Default: `1337`) - `tiling_width` (integer, optional): Fractality, set lower tile width for a high Fractality (Default: `112`; Options: `16`, `32`, `48`, `64`, `80`, `96`, `112`, `128`, `144`, `160`, `176`, `192`, `208`, `224`, `240`, `256`) - `lora_links` (string, optional): Link to a lora file you want to use in your upscaling. Multiple links possible, seperated by comma (Default: ``) - `custom_sd_model` (string, optional) (Default: ``) - `resemblance` (number, optional): Resemblance, try from 0.3 - 1.6 (Default: `0.6`; Range: min: 0, max: 3) - `pattern` (boolean, optional): Upscale a pattern with seamless tiling (Default: `False`) - `downscaling_resolution` (integer, optional): Downscaling resolution (Default: `768`) - `handfix` (string, optional): Use clarity to fix hands in the image (Default: `disabled`; Options: `disabled`, `hands_only`, `image_and_hands`) - `scale_factor` (number, optional): Scale factor (Default: `2`) - `scheduler` (string, optional): scheduler (Default: `DPM++ 3M SDE Karras`; Options: `DPM++ 2M Karras`, `DPM++ SDE Karras`, `DPM++ 2M SDE Exponential`, `DPM++ 2M SDE Karras`, `Euler a`, `Euler`, `LMS`, `Heun`, `DPM2`, `DPM2 a`, `DPM++ 2S a`, `DPM++ 2M`, `DPM++ SDE`, `DPM++ 2M SDE`, `DPM++ 2M SDE Heun`, `DPM++ 2M SDE Heun Karras`, `DPM++ 2M SDE Heun Exponential`, `DPM++ 3M SDE`, `DPM++ 3M SDE Karras`, `DPM++ 3M SDE Exponential`, `DPM fast`, `DPM adaptive`, `LMS Karras`, `DPM2 Karras`, `DPM2 a Karras`, `DPM++ 2S a Karras`, `Restart`, `DDIM`, `PLMS`, `UniPC`) - `output_format` (string, optional): Format of the output images (Default: `png`; Options: `webp`, `jpg`, `png`) - `negative_prompt` (string, optional): Negative Prompt (Default: `(worst quality, low quality, normal quality:2) JuggernautNegative-neg`) - `dynamic` (number, optional): HDR, try from 3 - 9 (Default: `6`; Range: min: 1, max: 50) - `creativity` (number, optional): Creativity, try from 0.3 - 0.9 (Default: `0.35`; Range: min: 0, max: 1) - `prompt` (string, optional): Prompt (Default: `masterpiece, best quality, highres, `) - `sd_model` (string, optional): Stable Diffusion model checkpoint (Default: `juggernaut_reborn.safetensors [338b85bc4f]`; Options: `epicrealism_naturalSinRC1VAE.safetensors [84d76a0328]`, `juggernaut_reborn.safetensors [338b85bc4f]`, `flat2DAnimerge_v45Sharp.safetensors`) - `num_inference_steps` (integer, optional): Number of denoising steps (Default: `18`; Range: min: 1, max: 100) - `mask` (string, optional): Mask image to mark areas that should be preserved during upscaling ## Example Request ```json { "model": "philz1337x/clarity-upscaler", "input": { "image": "https://replicate.delivery/pbxt/KiDB5iqtTcxiTI17WASotG1Ei0TNJCztdU6J02pnMYAd8B1X/13_before-4.png", "downscaling": false, "seed": 1337, "tiling_height": 144, "lora_links": "", "tiling_width": 112, "custom_sd_model": "", "resemblance": 0.6, "downscaling_resolution": 768, "scale_factor": 2, "scheduler": "DPM++ 3M SDE Karras", "negative_prompt": "(worst quality, low quality, normal quality:2) JuggernautNegative-neg", "dynamic": 6, "creativity": 0.35, "prompt": "masterpiece, best quality, highres, ", "sd_model": "juggernaut_reborn.safetensors [338b85bc4f]", "num_inference_steps": 18 } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags upscaling, super-resolution, creative-upscale, clarity, detail-enhancement ## Documentation https://replicate.com/philz1337x/clarity-upscaler